---
search:
  tags:
    - 活动
    - GET
seo:
  description: 查询活动列表
sidebar:
  label: 查询活动列表
  badge: GET
title: 查询活动列表
type: openapi-operation
---
`GET /open/event`

**Responses**

- `200` — 分页活动列表；查询失败时可能返回空列表与 info
- `401` — 应用令牌缺失或无效
- `403` — 应用没有 read 权限或没有接口访问权限
- `422` — 参数校验失败
- `429` — 请求频率超限；Retry-After 响应头给出等待秒数
- `500` — 服务器错误

Response example, 200:

```json
{
  "total": 0,
  "current": 0,
  "pageSize": 0,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "scale": "cosy",
      "status": "cancelled",
      "slug": "string",
      "urlKey": "string",
      "eventKey": "string",
      "startDate": "2019-08-24T14:15:22Z",
      "endDate": "2019-08-24T14:15:22Z",
      "address": "string",
      "region": "string",
      "thumbnail": "string",
      "detail": "string",
      "url": "string",
      "place": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "kind": "string",
        "address": "string"
      },
      "organization": {
        "name": "string",
        "slug": "string",
        "logoUrl": "string",
        "url": "string"
      }
    }
  ],
  "info": "string"
}
```
